import React from 'react';

class EventDemo extends React.Component {
    
    //Experimental syntax enabled by default in create react app and recommended for use
    buttonClick = (e) => {
        e.preventDefault();
        alert("Button Clicked!");
    }
    //The syntax to call this function causes an extra re rendering of child components and should thus be avoided
    linkClicked(e) {
        e.preventDefault();
        alert("Link Clicked!");
    }
    render() {
        return <div>
            <button type="submit" onClick={this.buttonClick}>Click Me!</button>
            Or
            <a href="https://webcodegeeks.com" onClick={(e) => this.linkClicked(e)}>Click Me!</a>
            </div>;
    }

}

export default EventDemo;